fn main() {
    std::env::set_var("PROTOC", protoc_bin_vendored::protoc_bin_path().unwrap());
    let manifest_dir = std::env::var("CARGO_MANIFEST_DIR").unwrap();

    // Generate protobuf files from `.proto` files in the `proto` directory
    let protobuf_path = manifest_dir.clone() + "/opamp-spec/proto/opamp.proto";
    let include_path = manifest_dir + "/opamp-spec/proto";
    prost_build::compile_protos(&[protobuf_path], &[include_path]).unwrap();
}